import type { NodeViewProps } from '@tiptap/core';
import * as i0 from "@angular/core";
export declare class AngularNodeViewComponent implements NodeViewProps {
    editor: NodeViewProps['editor'];
    node: NodeViewProps['node'];
    decorations: NodeViewProps['decorations'];
    innerDecorations: NodeViewProps['innerDecorations'];
    view: NodeViewProps['view'];
    selected: NodeViewProps['selected'];
    extension: NodeViewProps['extension'];
    HTMLAttributes: NodeViewProps['HTMLAttributes'];
    getPos: NodeViewProps['getPos'];
    updateAttributes: NodeViewProps['updateAttributes'];
    deleteNode: NodeViewProps['deleteNode'];
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularNodeViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularNodeViewComponent, "ng-component", never, { "editor": { "alias": "editor"; "required": false; }; "node": { "alias": "node"; "required": false; }; "decorations": { "alias": "decorations"; "required": false; }; "innerDecorations": { "alias": "innerDecorations"; "required": false; }; "view": { "alias": "view"; "required": false; }; "selected": { "alias": "selected"; "required": false; }; "extension": { "alias": "extension"; "required": false; }; "HTMLAttributes": { "alias": "HTMLAttributes"; "required": false; }; "getPos": { "alias": "getPos"; "required": false; }; "updateAttributes": { "alias": "updateAttributes"; "required": false; }; "deleteNode": { "alias": "deleteNode"; "required": false; }; }, {}, never, never, false, never>;
}
